Class | Bio::FlatFile::AutoDetect::RuleSpecial
In: | lib/bio/io/flatfile/autodetection.rb
Parent: | RuleTemplate

Special element that is always top or bottom priority.

### Methods

higher_priority_elements lower_priority_elements name= new

### Public Class methods

new(name)

[Source]

         # File lib/bio/io/flatfile/autodetection.rb, line 118
    118:         def initialize(name)
    119:           #super()
    120:           @name = name
    121:         end

### Public Instance methods

higher_priority_elements()

always returns void array

[Source]

         # File lib/bio/io/flatfile/autodetection.rb, line 128
    128:         def higher_priority_elements
    129:           []
    130:         end

lower_priority_elements()

always returns void array

[Source]

         # File lib/bio/io/flatfile/autodetection.rb, line 132
    132:         def lower_priority_elements
    133:           []
    134:         end

name=(x)

modification of @name is inhibited.

[Source]

         # File lib/bio/io/flatfile/autodetection.rb, line 123
    123:         def name=(x)
    124:           raise 'cannot modify name'
    125:         end

[Validate]